2019-08-22 22:51 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006128Spring engineLuapublic2019-02-21 12:30
ReporterDoo 
Assigned ToKloot 
PrioritylowSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006128: [Feature Request] Add number timeout arg to Spring.GiveOrderToUnit(unitID, cmdID, cmdParams, cmdOptions)
DescriptionI understand there is already a built-in timeout system for unit commands to be dropped if they haven't been performed after that time.
It is a very useful parameter for AIs, but as i've seen, isn't available via Spring.GiveOrderToUnit.

Is it possible to add that parameter so that commands given by LuaAIs via Spring.GiveOrderToUnit can properly be cancelled if they are unreachable/take too long to be performed?
--> https://github.com/spring/spring/blob/9c3eb80fc73cf5269c8fdbe80785e58de47661fe/rts/Lua/LuaUtils.cpp#L949
--> https://github.com/spring/spring/blob/9c3eb80fc73cf5269c8fdbe80785e58de47661fe/rts/Lua/LuaUtils.cpp#L1002-L1035
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019703

AF (reporter)

PR at https://github.com/spring/spring/pull/427, is how I'd imagine it'd be implemented

~0019704

Kloot (developer)

done.

~0019753

Kloot (developer)

Fix be999101be20d10fe46ce6921d7ec7d88ccdece5 committed to develop branch: fix 0006128, repo: spring changeset id: 11419
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2019-02-05 18:53 Doo New Issue
2019-02-05 19:20 AF Note Added: 0019703
2019-02-05 21:10 Kloot Assigned To => Kloot
2019-02-05 21:10 Kloot Status new => resolved
2019-02-05 21:10 Kloot Resolution open => fixed
2019-02-05 21:10 Kloot Fixed in Version => 104.0 +git
2019-02-05 21:10 Kloot Note Added: 0019704
2019-02-21 12:29 Kloot Changeset attached => spring develop be999101
2019-02-21 12:30 Kloot Note Added: 0019753
+Issue History